Update a Deployment

Update a Deployment in the Organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the Deployment belongs.
deploymentIdstringRequired
The Deployment's ID.

Request

This endpoint expects an object.
DEDICATEDobjectRequired
OR
HYBRIDobjectRequired
OR
STANDARDobjectRequired

Response

OK
airflowVersionstring
The Deployment's Airflow version.
apiUrlstring
The base URL to directly access the Airflow API.
astroRuntimeVersionstring
The Deployment's Astro Runtime version.
createdAtdatetime

The time when the Deployment was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
idstring
The Deployment's ID.
imageRepositorystring
The URL of the Deployment's image repository.
imageTagstring
The Deployment's custom image tag. Appears only if specified in the most recent deploy.
isCicdEnforcedboolean

Whether the Deployment requires that all deploys are made through CI/CD.

isDagDeployEnabledboolean
Whether the Deployment has DAG deploys enabled.
namestring
The Deployment's name.
namespacestring
The Deployment's namespace name in the Kubernetes cluster.
organizationIdstring
The ID of the Organization to which the Deployment belongs.
runtimeVersionstring

Deprecated: runtimeVersion has been replaced with astroRuntimeVersion

schedulerCpustring
The CPU limit for the Deployment's scheduler. Specified in number of CPU cores.
schedulerMemorystring

The memory limit for the Deployment’s scheduler. Units in Gibibytes or Gi.

schedulerReplicasinteger
The number of schedulers to use in the Deployment.
statusenum
The status of the Deployment.
uiUrlstring
The URL to access the Airflow UI.
updatedAtdatetime

The time when the Deployment was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedByobject
webServerAirflowApiUrlstring
The Deployment's webserver's base url to directly access the Airflow api.
webServerCpustring
The CPU limit for the Deployment's webserver. Units are in number of CPU cores.
webServerIngressHostnamestring
The Deployment's webserver's ingress hostname.
webServerMemorystring

The memory limit for the Deployment’s webserver. Units in Gibibytes or Gi.

webServerUrlstring
The Deployment's webserver's url.
workspaceIdstring
The ID of the Workspace to which the Deployment belongs.
cloudProviderenumOptional
The cloud provider of the cluster. Only for Standard Deployment.
clusterIdstringOptional
The ID of the cluster where the Deployment is hosted.
clusterNamestringOptional
The name of the cluster where the Deployment is hosted. Only for Dedicated and Hybrid Deployments.
contactEmailslist of stringsOptional
The list of contact emails for the Deployment.
dagTarballVersionstringOptional
The Deployment's current DAG tarball version, also known as the Bundle Version in the Astro UI. If no deploys are currently processing, this value should be the same as DesiredDagTarballVersion.
defaultTaskPodCpustringOptional
The default CPU resource usage for a worker Pod when running the Kubernetes executor or KubernetesPodOperator. Units are in number of CPU cores.
defaultTaskPodMemorystringOptional

The default memory resource usage for a worker Pod when running the Kubernetes executor or KubernetesPodOperator. Units are in Gi. This value must always be twice the value of DefaultTaskPodCpu.

descriptionstringOptional
The Deployment's description.
desiredDagTarballVersionstringOptional

The Deployment’s expected DAG tarball version after a currently processing deploy completes. This value is updated when a user triggers a DAG-only deploy to indicate that the Deployment is expecting a new DAG tarball version. If no deploys are currently processing, this value should be the same as DagTarballVersion.

drExternalIPslist of stringsOptional
A list of the Deployment's external IPs in the DR cluster
drOidcIssuerUrlstringOptional
OIDC issuer URL of the deployment's DR cluster
effectiveDRWorkloadIdentitystringOptional

The DR workload identity being used by the deployment. Either user-configured or Astronomer-provided default.

effectiveWorkloadIdentitystringOptional

The workload identity being used by the deployment. Either user-configured or Astronomer-provided default.

environmentVariableslist of objectsOptional
The Deployment's environment variables. Secret values will be omitted from response.
executorenumOptional
The Deployment's executor type.
externalIPslist of stringsOptional
A list of the Deployment's external IPs.
imageVersionstringOptional
A tag that Astronomer applies to the Deployment's Astro Runtime image during a deploy. It includes the date and time of the deploy.
isDevelopmentModebooleanOptional

If true, deployment will be able to use development-only features, such as hibernation, but will not have guaranteed uptime SLAs

isHighAvailabilitybooleanOptional

Whether the Deployment has high availability (HA) enabled. If true, multiple scheduler Pods will run at once.

oidcIssuerUrlstringOptional
OIDC issuer URL of the deployment's cluster
regionstringOptional
The region of the cluster. Only for Dedicated and Hybrid Deployments.
remoteExecutionobjectOptional
resourceQuotaCpustringOptional
The CPU quota for worker Pods when running the Kubernetes executor or KubernetesPodOperator. If current CPU usage across all workers exceeds the quota, no new worker Pods can be scheduled. Units are in number of CPU cores.
resourceQuotaMemorystringOptional

The memory quota for worker Pods when running the Kubernetes executor or KubernetesPodOperator. If current memory usage across all workers exceeds the quota, no new worker Pods can be scheduled. Units are in Gi. This value must always be twice the value of ResourceQuotaCpu.

scalingSpecobjectOptional
scalingStatusobjectOptional
schedulerAuintegerOptional

The number of Astronomer units (AU) for the Deployment’s scheduler. Applies only to Deployments hosted on Hybrid clusters.

schedulerSizeenumOptional
The Deployment's scheduler size.
statusReasonstringOptional
A message that provides context for the Deployment's status.
taskPodNodePoolIdstringOptional
The node pool ID for the task pod.
typeenumOptional
The type of cluster that the Deployment runs on.
webServerReplicasintegerOptional
The number of webserver replicas.
workerQueueslist of objectsOptional
A list of the Deployment's worker queues.
workspaceNamestringOptional
The name of the Workspace to which the Deployment belongs.

Errors

400
Update Deployment Body Bad Request Error
401
Update Deployment Body Unauthorized Error
403
Update Deployment Body Forbidden Error
404
Update Deployment Body Not Found Error
500
Update Deployment Body Internal Server Error